using System;
using Server;
using Server.Mobiles;
using Server.Multis;
using Server.Regions;

namespace Server.Items
{
	public class CityContractOfEmployment : Item
	{
		
		[Constructable]
		public CityContractOfEmployment() : base( 0x14F0 )
		{
			Weight = 1.0;
			Name = "A City Vendor Contract";
			
		}

		public CityContractOfEmployment( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int)0 ); //version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( !IsChildOf( from.Backpack ) )
			{
				from.SendLocalizedMessage( 1042001 ); // That must be in your pack for you to use it.
			}
			
			/*else if ( from.AccessLevel >= AccessLevel.GameMaster ) //TODO Possibly go back to this eventually
			{
				from.SendLocalizedMessage( 503248 ); // Your godly powers allow you to place this vendor whereever you wish.

				Mobile v = new CityPlayerVendor( from, from.Region ); 

				
				v.Direction = from.Direction & Direction.Mask;
				v.MoveToWorld( from.Location, from.Map );

				v.SayTo( from, 503246 ); // Ah! it feels good to be working again.

				this.Delete();
			}*/
			
			else         
			{
				PlayerMobile pm = (PlayerMobile)from;
				CityManagementStone stone = (CityManagementStone)pm.City;
				
				
				if ( stone == null )
					from.SendMessage( "You must be a citizen of a city to use this!" );
				else
				{
					Region r = stone.PCRegion;
									
					if ( PlayerGovernmentSystem.CheckIfHouseInCity( from, r ) );
					    {
					    	if ( from.Region is HouseRegion )
					    	{
					    		BaseHouse house = BaseHouse.FindHouseAt( from );
					    		if ( house.Owner != from )
					    			from.SendMessage( "You may not place vendors in a house you do not own!" );
					    		else
					    		{
					    			Mobile v = new CityPlayerVendor( from, stone );
					    			stone.Vendors.Add( v );
					    			CityPlayerVendor vend = (CityPlayerVendor)v;
					    			vend.TaxRate = stone.IncomeTax;
					    			v.Direction = from.Direction & Direction.Mask;
									v.MoveToWorld( from.Location, from.Map );

									v.SayTo( from, 503246 ); // Ah! it feels good to be working again.

									this.Delete();
					    		}
					    	} 
					    					    	
					    	else
					    	{
					    	Mobile v = new CityPlayerVendor( from, stone );
					    	stone.Vendors.Add( v );
					    	CityPlayerVendor vend = (CityPlayerVendor)v;
					    	vend.TaxRate = stone.IncomeTax;
					    	v.Direction = from.Direction & Direction.Mask;
							v.MoveToWorld( from.Location, from.Map );

							v.SayTo( from, 503246 ); // Ah! it feels good to be working again.

							this.Delete();
					    	}
					    }
					
				}
			
			}
		
		}
	}
}
